Skip to navigation

Inquire About the current statuses for direct debit transactions.

View as Markdown
This endpoint allows you to inquire the current status for the direct debit transaction.

Authentication

AuthorizationBearer

All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.

Query parameters

client_idstringRequired

Unique reference which was shared during CitiConnect API on-boarding (ClientId which used during oauth token generation).

countrystringRequiredformat: "^[A-Z]{2}?$"
This parameter specifies the country for which the direct debit transaction is initiated
uetrstringRequiredformat: "^[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89ab][a-f0-9]{3}-[a-f0-9]{12}$"

This parameter is to inquire the current status of initiated direct debit transaction, which client receive as part of direct debit initiation response. Either uetr or end_to_end_id should be passed.

end_to_end_idstringRequiredformat: "^[A-Z0-9]{1,35}?$"

This parameter is to inquire the current status of the initiated direct debit transaction,which client send as part of direct debit initiation request. Either end_to_end_id or uetr should be passed.

Response

OK
debtorobjectOptional
creditorobjectOptional
initiating_partyobjectOptional
methodobjectOptional
transactionobjectOptional
mandate_detailsobjectOptional
ultimateobjectOptional
transaction_statusobjectOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
429
Too Many Requests Error
500
Internal Server Error